<?php
namespace Asalae\Test\Fixture;

use Cake\TestSuite\Fixture\TestFixture;

/**
 * ArchiveUnitsFixture
 */
class ArchiveUnitsFixture extends TestFixture
{
    /**
     * Init method
     *
     * @return void
     */
    public function init(): void
    {
        $this->records = [
            [// id=1
                'state' => 'available',
                'archive_id' => 1,
                'access_rule_id' => 1,
                'appraisal_rule_id' => 1,
                'archival_agency_identifier' => 'sa_1',
                'transferring_agency_identifier' => null,
                'originating_agency_identifier' => null,
                'name' => 'seda1.0',
                'original_local_size' => 0,
                'original_total_size' => 554297,
                'parent_id' => null,
                'lft' => 1,
                'rght' => 4,
                'xml_node_tagname' => 'Archive[1]',
                'original_total_count' => 1,
                'original_local_count' => 0,
                'search' => '"sa_1" "seda1.0"',
                'expired_dua_root' => true,
                'full_search' => '"sa_1" "seda1.0"',
                'max_keywords_access_end_date' => null,
                'description_access_rule_id' => 2,
                'max_aggregated_access_end_date' => null,
            ],
            [// id=2
                'state' => 'available',
                'archive_id' => 1,
                'access_rule_id' => 1,
                'appraisal_rule_id' => 1,
                'archival_agency_identifier' => 'sa_1_0001',
                'transferring_agency_identifier' => null,
                'originating_agency_identifier' => null,
                'name' => 'sample.wmv',
                'original_local_size' => 554297,
                'original_total_size' => 554297,
                'parent_id' => 1,
                'lft' => 2,
                'rght' => 3,
                'xml_node_tagname' => 'Document[1]',
                'original_total_count' => 1,
                'original_local_count' => 1,
                'search' => '"sa_1_0001" "sample.wmv"',
                'expired_dua_root' => false,
                'full_search' => '"sa_1_0001" "sample.wmv"',
                'max_keywords_access_end_date' => null,
                'description_access_rule_id' => null,
                'max_aggregated_access_end_date' => null,
            ],
            [// id=3
                'state' => 'available',
                'archive_id' => 2,
                'access_rule_id' => 3,
                'appraisal_rule_id' => 2,
                'archival_agency_identifier' => 'sa_2',
                'transferring_agency_identifier' => null,
                'originating_agency_identifier' => null,
                'name' => 'seda2.1',
                'original_local_size' => 5,
                'original_total_size' => 5,
                'parent_id' => null,
                'lft' => 5,
                'rght' => 6,
                'xml_node_tagname' => 'ArchiveUnit[1]',
                'original_total_count' => 1,
                'original_local_count' => 1,
                'search' => '"sa_2" "seda2.1"',
                'expired_dua_root' => true,
                'full_search' => '"sa_2" "seda2.1"',
                'max_keywords_access_end_date' => null,
                'description_access_rule_id' => null,
                'max_aggregated_access_end_date' => null,
            ],
            [// id=4
                'state' => 'restituting',
                'archive_id' => 4,
                'access_rule_id' => 7,
                'appraisal_rule_id' => 4,
                'archival_agency_identifier' => 'sa_4',
                'transferring_agency_identifier' => null,
                'originating_agency_identifier' => null,
                'name' => 'seda2.1',
                'original_local_size' => 5,
                'original_total_size' => 5,
                'parent_id' => null,
                'lft' => 7,
                'rght' => 8,
                'xml_node_tagname' => 'ArchiveUnit[1]',
                'original_total_count' => 1,
                'original_local_count' => 1,
                'search' => '"sa_4" "seda2.1"',
                'expired_dua_root' => true,
                'full_search' => '"sa_4" "seda2.1"',
                'max_keywords_access_end_date' => null,
                'description_access_rule_id' => null,
                'max_aggregated_access_end_date' => null,
            ],
            [// id=5
                'state' => 'transferring',
                'archive_id' => 5,
                'access_rule_id' => 9,
                'appraisal_rule_id' => 5,
                'archival_agency_identifier' => 'sa_5',
                'transferring_agency_identifier' => null,
                'originating_agency_identifier' => null,
                'name' => 'seda2.1',
                'original_local_size' => 5,
                'original_total_size' => 5,
                'parent_id' => null,
                'lft' => 9,
                'rght' => 10,
                'xml_node_tagname' => 'ArchiveUnit[1]',
                'original_total_count' => 1,
                'original_local_count' => 1,
                'search' => '"sa_5" "seda2.1"',
                'expired_dua_root' => true,
                'full_search' => '"sa_5" "seda2.1"',
                'max_keywords_access_end_date' => null,
                'description_access_rule_id' => null,
                'max_aggregated_access_end_date' => null,
            ],
        ];
        parent::init();
    }
}
